Index: bootstrap.sh
===================================================================
--- bootstrap.sh	(revision 231431)
+++ bootstrap.sh	(working copy)
@@ -12,13 +12,17 @@
 # On FreeBSD and OpenBSD, multiple autoconf/automake versions have different names.
 # On linux, envitonment variables tell which one to use.
 
-uname -s | grep -q BSD
+uname -s | egrep 'BSD|SunOS' >/dev/null 2>&1
 if [ $? = 0 ] ; then	# BSD case
 	case `uname -sr` in
 		'FreeBSD 4'*)	# FreeBSD 4.x has a different naming
 			MY_AC_VER=259
 			MY_AM_VER=19
 			;;
+		'SunOS '*)
+			MY_AC_VER=
+			MY_AM_VER=-1.9
+			;;
 		*)
 			MY_AC_VER=-2.61
 			MY_AM_VER=-1.9
